/* $Id$ */

#ifndef __plugin_domtreeviewer_h
#define __plugin_domtreeviewer_h

#include <tdeparts/plugin.h>
// #include <klibloader.h>

class DOMTreeWindow;
class KURL;

class PluginDomtreeviewer : public KParts::Plugin
{
  Q_OBJECT
  
public:
  PluginDomtreeviewer( TQObject* parent, const char* name,
	               const TQStringList & );
  virtual ~PluginDomtreeviewer();

public slots:
  void slotShowDOMTree();
  void slotDestroyed();
private:
  DOMTreeWindow* m_dialog;
};

#endif
